if（所有新靶病灶消失或一直不存在任何新靶病灶） 
{
   新靶病灶疗效为 ND
}
else if (上一访视新靶病灶评估为“iUPD” && iSOD的增加值>=5mm) //与最近一次新靶病灶评估为iUPD的访视相比本次访视iSOD增加不小于5mm
{
   新靶病灶疗效为 iCPD
}
else if (上一访视新靶病灶评估为“iCPD”&& （当有“存在”状态的淋巴结新靶病灶||当有“存在”或“太小”状态的非淋巴结新靶病灶）)//区分了淋巴结新靶病灶和非淋巴结新靶病灶
{
    新靶病灶疗效为 iCPD
}
else if (当有“存在”状态的淋巴结新靶病灶||当有“存在”或“太小”状态的非淋巴结新靶病灶)//区分了淋巴结新靶病灶和非淋巴结新靶病灶
{
    新靶病灶疗效为 iUPD
}
else if (至少有一个新靶病无法评估)
{
    新靶病灶疗效为 NE
}else
{
	//错误级别日志：项目、标准、受试者、阅片人、任务。输出新靶病灶数据：
}
